## dtkgui 5.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

set(DTK_VERSION "5.6.11" CACHE STRING "define project version")
project(DtkGui
  VERSION ${DTK_VERSION}
  DESCRIPTION "DTK Gui module"
  HOMEPAGE_URL "https://github.com/linuxdeepin/dtkgui"
  LANGUAGES CXX C
)

if("${PROJECT_VERSION_MAJOR}" STREQUAL "5")
    set(QT_VERSION_MAJOR "5")
elseif("${PROJECT_VERSION_MAJOR}" STREQUAL "6")
    set(QT_VERSION_MAJOR "6")
    set(DTK_VERSION_MAJOR "6")
else()
    message(SEND_ERROR "not support Prject Version ${PROJECT_VERSION}.")
endif()

include(dtkgui.cmake)

=== docs/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)

find_package (Doxygen REQUIRED)

set (QCH_INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/qt${QT_VERSION_MAJOR}/doc CACHE STRING "QCH install location")

set (DOXYGEN_GENERATE_HTML "YES" CACHE STRING "Doxygen HTML output")
set (DOXYGEN_GENERATE_XML "YES" CACHE STRING "Doxygen XML output")
set (DOXYGEN_GENERATE_QHP "YES" CACHE STRING "Doxygen QHP output")
set (DOXYGEN_FILE_PATTERNS *.cpp *.h *.zh_CN.md *.zh_CN.dox CACHE STRING "Doxygen File Patterns")
set (DOXYGEN_PROJECT_NUMBER ${CMAKE_PROJECT_VERSION} CACHE STRING "") # Should be the same as this project is using.
set (DOXYGEN_EXTRACT_STATIC YES)
set (DOXYGEN_OUTPUT_LANGUAGE "Chinese" CACHE STRING "Doxygen Output Language")
set (DOXYGEN_IMAGE_PATH ${CMAKE_CURRENT_LIST_DIR}/images/)
set (DOXYGEN_QHG_LOCATION "qhelpgenerator" CACHE STRING "Doxygen QHG path")
set (DOXYGEN_QHP_NAMESPACE "org.deepin.dtk.gui")
set (DOXYGEN_QCH_FILE "dtkgui.qch")
set (DOXYGEN_QHP_VIRTUAL_FOLDER "dtkgui")
set (DOXYGEN_HTML_EXTRA_STYLESHEET "" CACHE STRING "Doxygen custom stylesheet for HTML output")
set (DOXYGEN_TAGFILES "qtcore.tags=qthelp://org.qt-project.qtcore/qtcore/" CACHE STRING "Doxygen tag files")

set (DOXYGEN_PREDEFINED
    "D_DECL_DEPRECATED_X(x)="
    "DCORE_BEGIN_NAMESPACE=namespace Dtk { namespace Core {"
    "DCORE_END_NAMESPACE=}}"
    "DCORE_USE_NAMESPACE=using namespace Dtk::Core\;"
    "DGUI_BEGIN_NAMESPACE=namespace Dtk { namespace Gui {"
    "DGUI_END_NAMESPACE=}}"
    "DGUI_USE_NAMESPACE=using namespace Dtk::Gui\;"
)

set (BUILD_THEME OFF CACHE BOOL "Build doxgen theme")
if(BUILD_THEME)
if(EXISTS "${CMAKE_CURRENT_LIST_DIR}/doxygen-theme")
message(STATUS "doxygen-theme exists")
else()
execute_process(COMMAND git clone https://github.com/linuxdeepin/doxygen-theme.git --depth=1
        WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}
        TIMEOUT 60
    )
execute_process(COMMAND bash themesetting.sh
        WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}/doxygen-theme/
)
endif()
set (DOXYGEN_HTML_EXTRA_STYLESHEET "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome.css"
                                "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-sidebar-only.css"
                                "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-sidebar-only-darkmode-toggle.css"
                                )
set (DOXYGEN_HTML_EXTRA_FILES "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-darkmode-toggle.js"
                            "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-fragment-copy-button.js"
                            "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-paragraph-link.js"
                            "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-interactive-toc.js"
                            )
set (DOXYGEN_GENERATE_TREEVIEW "YES")
set (DOXYGEN_DISABLE_INDEX "NO")
set (DOXYGEN_FULL_SIDEBAR "NO")
set (DOXYGEN_HTML_HEADER "docs/doxygen-theme/doxygen-awesome-css/header.html")
set (DOXYGEN_HTML_FOOTER "docs/doxygen-theme/doxygen-awesome-css/footer.html")
endif()

set (DOXYGEN_MACRO_EXPANSION "YES")
set (DOXYGEN_EXPAND_ONLY_PREDEF "YES")

# Exclude private classes.
set (DOXYGEN_EXCLUDE_PATTERNS
    ${PROJECT_SOURCE_DIR}/src/util/private/dimagehandlerlibs_p.h
    ${PROJECT_SOURCE_DIR}/src/util/dimagehandlerlibs.cpp
    )

doxygen_add_docs (doxygen
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_SOURCE_DIR}/include
    ${PROJECT_SOURCE_DIR}/docs
    ALL
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMENT "Generate documentation via Doxygen"
)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/html/dtkgui.qch DESTINATION ${QCH_INSTALL_DESTINATION})

=== src/CMakeLists.txt ===
add_library(${LIB_NAME} SHARED)

include(dbus/dbus.cmake)
include(filedrag/dfiledrag.cmake)
include(kernel/kernel.cmake)
include(private/private.cmake)
include(util/util.cmake)

target_sources(${LIB_NAME} PRIVATE
    ${dbus_SRC}
    ${filedrag_SRC}
    ${kernel_SRC}
    ${util_SRC}
    ${private_SRC}
)

target_include_directories(${LIB_NAME} PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/util>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/global>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/kernel>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/filedrag>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/dbus>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/private>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/util/private>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/DtkGui>
)

target_link_libraries(${LIB_NAME}
PUBLIC
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Network
    Dtk${DTK_VERSION_MAJOR}::Core
PRIVATE
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::CorePrivate
    Qt${QT_VERSION_MAJOR}::DBus
    PkgConfig::librsvg
)

if(NOT DTK_DISABLE_EX_IMAGE_FORMAT AND EX_IMAGE_FORMAT_LIBS_FOUND)
    target_link_libraries(${LIB_NAME} PRIVATE
        ${libraw_LIBRARIES}
        FreeImage::FreeImage
    )
    target_include_directories(${LIB_NAME} PRIVATE
        ${libraw_INCLUDE_DIRS}
    )
endif()

if(NOT DTK_DISABLE_LIBXDG)
    target_link_libraries(${LIB_NAME} PRIVATE
        Qt${QT_VERSION_MAJOR}XdgIconLoader
    )
endif()

set_target_properties(${LIB_NAME} PROPERTIES
    VERSION ${CMAKE_PROJECT_VERSION}
    SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
    EXPORT_NAME Gui
)

target_include_directories(${LIB_NAME} INTERFACE
    $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>
)

target_link_directories(${LIB_NAME} INTERFACE
    $<INSTALL_INTERFACE:${LIBRARY_INSTALL_DIR}>
)

install(TARGETS ${LIB_NAME} EXPORT Dtk${DTK_VERSION_MAJOR}GuiTargets DESTINATION "${LIBRARY_INSTALL_DIR}")
install(EXPORT Dtk${DTK_VERSION_MAJOR}GuiTargets NAMESPACE Dtk${DTK_VERSION_MAJOR}:: FILE Dtk${DTK_VERSION_MAJOR}GuiTargets.cmake DESTINATION "${CONFIG_INSTALL_DIR}")
install(DIRECTORY ../include/util/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*")
install(DIRECTORY ../include/DtkGui/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*")
install(DIRECTORY ../include/global/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*")
install(DIRECTORY ../include/kernel/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*")
install(DIRECTORY ../include/filedrag/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*")

# install dconfig meta file in dtkcommon
# dconfig_meta_files(COMMONID org.deepin.dtk FILES ${PROJECT_SOURCE_DIR}/misc/org.deepin.dtk.ui.preference.json)

=== tests/CMakeLists.txt ===
set(BIN_NAME ut-dtk${DTK_VERSION_MAJOR}gui)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets Test)
find_package(GTest REQUIRED)

include(../src/dbus/dbus.cmake)
include(../src/kernel/kernel.cmake)
include(../src/util/util.cmake)
include(../src/private/private.cmake)

file(GLOB test_SRC
    res.qrc
    test.h
    main.cpp
    src/*.cpp
)

add_executable(${BIN_NAME}
    ${dbus_SRC}
    ${kernel_SRC}
    ${util_SRC}
    ${private_SRC}
    ${test_SRC}
)

target_compile_options(${BIN_NAME} PRIVATE -fno-access-control -fsanitize=address)
target_link_options(${BIN_NAME} PRIVATE -fsanitize=address)

target_link_libraries(${BIN_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Network
    Qt${QT_VERSION_MAJOR}::Test
    Dtk${DTK_VERSION_MAJOR}::Core
    PkgConfig::librsvg
    GTest::GTest
    gmock
    pthread
    m
    gcov
)

if(NOT DTK_DISABLE_EX_IMAGE_FORMAT AND EX_IMAGE_FORMAT_LIBS_FOUND) 
target_link_libraries(${BIN_NAME} PRIVATE
	PkgConfig::libraw
    FreeImage::FreeImage
)
endif()

if(NOT DTK_DISABLE_LIBXDG)
    target_link_libraries(${BIN_NAME} PRIVATE 
        Qt${QT_VERSION_MAJOR}XdgIconLoader
    )
endif()

target_include_directories(${BIN_NAME} PRIVATE
    ${PROJECT_SOURCE_DIR}/include/util
    ${PROJECT_SOURCE_DIR}/include/DtkGui
    ${PROJECT_SOURCE_DIR}/include/global
    ${PROJECT_SOURCE_DIR}/include/kernel
    ${PROJECT_SOURCE_DIR}/include/filedrag
    ${PROJECT_SOURCE_DIR}/src/private
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_SOURCE_DIR}/src/dbus
    ${PROJECT_SOURCE_DIR}/src/util/private
)

if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  target_compile_options(${BIN_NAME} PRIVATE -fprofile-instr-generate -ftest-coverage)
endif()
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
  target_compile_options(${BIN_NAME} PRIVATE -fprofile-arcs -ftest-coverage)
endif()

add_test(NAME ${BIN_NAME} COMMAND ${BIN_NAME})

=== tools/image-handler/CMakeLists.txt ===
set(BIN image-handler)
set(TARGET_NAME ${BIN}${DTK_VERSION_MAJOR})

add_executable(${TARGET_NAME}
    main.cpp
)

target_link_libraries(${TARGET_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Gui
    ${LIB_NAME}
)
set_target_properties(${TARGET_NAME} PROPERTIES OUTPUT_NAME ${BIN})

=== debian/changelog ===
dtkgui (5.6.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 Oct 2023 14:54:44 +0800

dtkgui (5.6.12) unstable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/2e5e092ba3f86b16d1aabbabcf0bfd2ae65b19c8(Influence: none)
  * fix: fix build failure due to metasystem change
  * fix(build): suport build with Qt6 && Qt5
  * chore: Adapt Qt6 && Dtk6 compilation
  * fix: ut failed
  * chore: update dconfig appid

 -- Deepin Packages Builder <packages@deepin.org>  Sun, 25 Jun 2023 14:43:42 +0800

dtkgui (5.6.11) unstable; urgency=medium

  * Release 5.6.11
  * Fix developer-center#4117
  * Fix bug-197713(App blocked by hasUserManual in live system)

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 08 May 2023 13:16:17 +0800

dtkgui (5.6.10) unstable; urgency=medium

  * Release 5.6.10
  * support XDG_SESSION_DESKTOP set to DDE
  * add DontSaveApplciationTheme Attribute

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 17 Apr 2023 17:11:55 +0800

dtkgui (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 10:13:06 +0800

dtkgui (5.6.8) unstable; urgency=medium

  * Release 5.6.8

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Feb 2023 14:12:16 +0800

dtkgui (5.6.6) unstable; urgency=medium

  * Release 5.6.6

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 21 Feb 2023 11:46:51 +0800

dtkgui (5.6.5) unstable; urgency=medium

  * Release 5.6.5

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 02 Feb 2023 14:12:15 +0800

=== debian/control ===
Source: dtkgui
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper-compat (= 12), pkg-config, 
 qtbase5-private-dev, qtbase5-dev-tools, doxygen, graphviz, qttools5-dev-tools,
 libdtkcore-dev, librsvg2-dev, libfreeimage-dev, libraw-dev, libgtest-dev, libgmock-dev,
 libqt5xdg-dev, libqt5xdgiconloader-dev, cmake, qt5-image-formats-plugins
Standards-Version: 3.9.8

Package: libdtkgui5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkdata,
 qt5-image-formats-plugins
Multi-Arch: same
Description: Deepin Tool Kit Gui library
 DtkGui is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtkgui5-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libdtkgui5( =${binary:Version})
Description: Deepin Tool Kit Gui Utilities
 DtkGui is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the utilities of DtkGui

Package: libdtkgui-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkgui5( =${binary:Version})
Description: Deepin Tool Kit Gui Devel library
 DtkGui is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries of DtkGui

Package: libdtkgui-doc
Architecture: any
Depends: ${misc:Depends}
Description: Deepin Tool Kit Gui (Document)
 DtkGui is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the qt Document of DtkGui

## dtkgui 5.6.32

=== debian/changelog ===
dtkgui (5.6.32) unstable; urgency=medium

  * Revert "fix: jagged edges on ddciicon"(Issue: https://github.com/linuxdeepin/developer-center/issues/9443)
  * chore: dci-icon-theme tool tweak

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:29:21 +0000

dtkgui (5.6.31) unstable; urgency=medium

  * fix: jagged edges on ddciicon(Issue: https://github.com/linuxdeepin/developer-center/issues/8691)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jun 2024 09:11:34 +0000

dtkgui (5.6.30) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 30 May 2024 02:46:31 +0000

dtkgui (5.6.29) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 13 May 2024 03:02:53 +0000

dtkgui (5.6.28) unstable; urgency=medium

  * chore: insert to cache when icon is not null
  * chore: add flag to disable noncache flag
  * fix: missing initialization for baseFont of fontManager(Issue: https://github.com/linuxdeepin/developer-center/issues/8040)
  * feat: dci-icon-theme support multiple icon size

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 29 Apr 2024 08:23:44 +0000

dtkgui (5.6.27) unstable; urgency=medium

  * fix: setWindowBlurAreaByWM only work once in qt6

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 19 Apr 2024 08:55:34 +0000

dtkgui (5.6.26) unstable; urgency=medium

  * fix: wrong availableSizes for DIconProxyEngine
  * fix: PlaceholderText color tweak(Issue: https://github.com/linuxdeepin/developer-center/issues/7554)
  * feat: support to get specified palette

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Mar 2024 05:47:35 +0000

dtkgui (5.6.25) unstable; urgency=medium

  * fix: icon doesn't update when iconTheme changed
  * fix: font can't follow changes in qt6
  * fix: app refresh slowly
  * fix: changed paletteType's config value
  * fix: search icon can't change with theme change(Issue: #6230)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 11 Mar 2024 01:16:27 +0000

dtkgui (5.6.22) unstable; urgency=medium

  * fix: menu icon incorrect in dark mode(Issue: https://github.com/linuxdeepin/developer-center/issues/6624)
  * feat: enable xdgIconLoader under Qt6
  * chore: warning for connect

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 10 Jan 2024 02:30:59 +0000

dtkgui (5.6.21) unstable; urgency=medium

  * chore: update cmake version
  * fix: xdg icon loading failed with qt6(Issue: https://github.com/linuxdeepin/developer-center/issues/6459)
  * fix: debian build failed
  * fix: DIconProxyEngine read not ensureEngine
  * chore: fix ut_dciiconengine failed on dark theme

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 09 Jan 2024 01:45:43 +0000

dtkgui (5.6.20) unstable; urgency=medium

  * chore: add synchronization workflow
  * fix: indirect inclusion of QSharedPointer
  * feat: move ddesktopservices to dtkgui(Issue: #134)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 28 Nov 2023 05:40:52 +0000

dtkgui (5.6.19) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 23 Oct 2023 07:33:18 +0000

dtkgui (5.6.18) unstable; urgency=medium

  * fix: Wrong value of DPalette::TextLively
  * chore: find qhelpgenerator from property
  * fix: svg with filter attribute rendering exception
  * fix: when iconName is absolute path
  * fix: missing link when disable librsvg
  * fix: Wrong IconName for DIconEngine(Issue: https://github.com/linuxdeepin/developer-center/issues/5760)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 18 Oct 2023 06:01:44 +0000

dtkgui (5.6.17) unstable; urgency=medium

  * Release 5.6.17

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 15:15:39 +0800

dtkgui (5.6.16) unstable; urgency=medium

  * chore: ut build without source
  * fix: Compiling error in qt6.4
  * chore: add DtkBuildHelper depends
  * fix(build): ut failed on Qt6.4
  * fix: dci icon cache key miss theme name(Issue: https://github.com/linuxdeepin/developer-center/issues/4517)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 22 Aug 2023 06:13:45 +0000

dtkgui (5.6.15) unstable; urgency=medium

  * chore: iconengine tweak and uint test
  * chore: do not show ui in ut
  * chore: add unit test
  * chore: Adaptation for Qt5.11
  * refator: rewrite hasUserManual function

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 11 Aug 2023 13:57:02 +0800

dtkgui (5.6.14) unstable; urgency=medium

  * chore: ignore doxygen-theme folder
    Thanks to syn(Task: 99)
  * chore: change OUTPUT_DIR variable in cmake (#163)
    Thanks to WangFei
  * chore: adjust builtiniconengine (#164)
    Thanks to WangFei
  * chore: adjust xdgiconproxyengine (#167)
    Thanks to WangFei
  * chore: add unit test about builtinengine
  * refactor!: deprecate some interfaces in dtk6
  * chore: add dciiconengine
  * chore: adjust icontheme
  * chore: add unit test about dciiconengine
  * chore: reduce compilation warnings
    Thanks to SPUER(Issue: #96)
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * chore: add proxyiconengine
  * refactor: Move dotsPerInch from normal function to slots
  * chore: remove unused pro files
  * fix: build failed in qt6 due to proxyengine
  * feat: DIconTheme::findQIcon add fallback icon
  * fix(build): DIconTheme ut failed
  * fix: DFileDragClient::serverDestroyed nerver emit
  * feat: add helper for high dpi pixmap
  * fix: dplatformtheme fetchPalette crash
  * feat: load app and qt Translation files

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jul 2023 06:56:34 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Deepin Packages Builder <packages@deepin.com>
 Build-Depends: debhelper-compat (= 12), pkg-config, 
- qtbase5-private-dev, qtbase5-dev-tools, doxygen, graphviz, qttools5-dev-tools,
+ qtbase5-private-dev, qtbase5-dev-tools, doxygen, graphviz, qttools5-dev,
  libdtkcore-dev, librsvg2-dev, libfreeimage-dev, libraw-dev, libgtest-dev, libgmock-dev,
  libqt5xdg-dev, libqt5xdgiconloader-dev, cmake, qt5-image-formats-plugins
 Standards-Version: 3.9.8
@@ -29,13 +29,14 @@
 
 Package: libdtkgui-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkgui5( =${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkgui5( =${binary:Version}), libdtkcommon-dev(>=5.6.16)
 Description: Deepin Tool Kit Gui Devel library
  DtkGui is base devel library of Deepin Qt/C++ applications.
  .
  This package contains the header files and static libraries of DtkGui
 
 Package: libdtkgui-doc
+Build-Profiles: <!nodoc>
 Architecture: any
 Depends: ${misc:Depends}
 Description: Deepin Tool Kit Gui (Document)

## dtkgui 5.7.1

=== examples/frameless-window/CMakeLists.txt ===
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS X11Extras)
pkg_check_modules(XCB IMPORTED_TARGET xcb)

set(BIN_NAME frameless-window)

add_executable(${BIN_NAME}
    main.cpp
)

target_link_libraries(${BIN_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::X11Extras
    PkgConfig::XCB
)

=== src/wayland/config.tests/wayland_test/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

project(wayland_test)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(AUTOMOC_COMPILER_PREDEFINES ON)

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui WaylandClient)
if(${QT_VERSION_MAJOR} STREQUAL "5")
    find_package(Qt5 REQUIRED COMPONENTS XkbCommonSupport)
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(WAYLAND_CLIENT REQUIRED wayland-client)

find_package(TreeLandProtocols)
set(TreeLandProtocols_FOUND ${TreeLandProtocols_FOUND})

add_executable(${PROJECT_NAME} main.cpp)

if("${QT_VERSION_MAJOR}" STREQUAL "6")
    qt6_generate_wayland_protocol_client_sources(${PROJECT_NAME} FILES
        ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-personalization-manager-v1.xml
    )
else()
    # ECM setup
    include(FeatureSummary)
    find_package(ECM REQUIRED NO_MODULE)
    set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${ECM_MODULE_PATH}")
    find_package(QtWaylandScanner)
    ecm_add_qtwayland_client_protocol(TABLET_SRCS
        PROTOCOL ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-personalization-manager-v1.xml
        BASENAME treeland-personalization-manager-v1
    )
    target_sources(${PROJECT_NAME} PRIVATE ${TABLET_SRCS})

    target_link_libraries(${PROJECT_NAME} PRIVATE
        Qt${QT_VERSION_MAJOR}::XkbCommonSupportPrivate
    )
endif()

target_link_libraries(${PROJECT_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::CorePrivate
    Qt${QT_VERSION_MAJOR}::WaylandClientPrivate
    ${WAYLAND_CLIENT_LIBRARIES}
)

=== debian/changelog ===
dtkgui (5.7.1) unstable; urgency=medium

  * Revert "feat: add close.dci"(Issue: https://github.com/linuxdeepin/developer-center/issues/10482)
  * feat: Add notitlebar function on wayland platform
  * feat: support qt5 and qt6
  * fix: cannot move window on wayland
  * fix: remove treeland personalization protocols useless function
  * feat: add fixme note
  * chore: update license info
  * chore: add build dep
  * chore: update license
  * chore: add extra cmake modules
  * chore: add dtkgui namespace
  * fix: app crashed in x11

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 16 Oct 2024 03:30:46 +0000

dtkgui (5.6.34) unstable; urgency=medium

  * feat: add close.dci
    Thanks to Yixue Wang
  * chore: animation-dci supports custom icon
  * fix: wrong judgment conditions
  * feat: support to change window effects(Bug: 244347)
  * feat: add window startup effect Type(Issue: https://github.com/linuxdeepin/developer-center/issues/10322)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 20 Aug 2024 05:03:52 +0000

## dtkgui 5.7.5

=== debian/changelog ===
dtkgui (5.7.5) unstable; urgency=medium

  * fix: availableSizes not work on Qt6

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 12 Dec 2024 03:03:53 +0000

dtkgui (5.7.4) unstable; urgency=medium

  * chore(CI): add debian check workflow
    Thanks to kuchune
  * refactor: xcb platform theme interface
  * refactor: treeland platform theme interface 扩展Treeland的个性化接口
  * fix: Possible null pointer dereference and Notitlebar input parameter error
  * feat: support treeland platform for wmHelper
  * fix: blur is invalid for treeland
  * feat: Limit maximum and minimum fonts
  * fix: app crashed when window destroyed in quick
  * fix: app crashed when window destroyed in quick
  * fix: linglong app load qt translations failed

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 03 Dec 2024 02:00:46 +0000

dtkgui (5.7.3) unstable; urgency=medium

  * fix: No judgment on the validity of the protocol(Bug: 286859)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 20 Nov 2024 02:19:06 +0000

dtkgui (5.7.2) unstable; urgency=medium

  * chore: Correct the name of TreelandProtocols package in cmake
  * fix: Under treeland, the dialog has not disabled titlebar
  * fix: Print "load translate" debug log to channels(Bug: 284539)
  * chore: add IsWaylandPlatform attribute
  * chore: highlight color is inconsistency

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 13 Nov 2024 01:53:26 +0000

## dtkgui 5.7.9

=== debian/changelog ===
dtkgui (5.7.9-1) unstable; urgency=medium

  * Upload to unstable.
  * Re-enable qt5xdg support.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 15:17:27 -0500

dtkgui (5.7.9-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Add new build-deps.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Feb 2025 20:39:23 -0500

=== debian/control ===
Source: dtkgui
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Arun Kumar Pariyar <arun@debian.org>,
 Hu Feng <hufeng@uniontech.com>,
 Clay Stan <claystan97@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 doxygen <!nodoc>,
 extra-cmake-modules,
 libdtkcore-dev (>= 5.7.8),
 libfreeimage-dev,
 libgmock-dev,
 libgtest-dev,
 libkf5wayland-dev,
 libqt5waylandclient5-dev,
 libqt5xdg-dev,
 libqt5xdgiconloader-dev,
 libraw-dev,
 librsvg2-dev,
 pkgconf,
 qt5-image-formats-plugins,
 qtbase5-dev-tools,
 qtbase5-private-dev,
 qttools5-dev-tools,
 qtwayland5-dev-tools,
 qtwayland5-private-dev,
 treeland-protocols,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/linuxdeepin/dtkgui
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkgui.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkgui

Package: libdtkgui-dev
Architecture: any
Section: libdevel
Depends:
 libdtkcommon-dev (>= 5.7),
 libdtkgui5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Tool Kit Gui library (development files)
 DtkGui provides the base devel library of Deepin Qt/C++
 applications.
 .
 This package provides the library development files.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libdtkgui5
Architecture: any
Depends:
 libdtkcommon,
 qt5-image-formats-plugins,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Deepin Tool Kit Gui library
 DtkGui provides the base devel library of Deepin Qt/C++
 applications.
 .
 This package provides the shared library files.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libdtkgui5-bin
Section: utils
Architecture: any
Depends:
 libdtkgui5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Tool Kit Gui utilities
 DtkGui provides the base devel library of Deepin Qt/C++
 applications.
 .
 This package provides the utilities of DtkGui.
 .
 This package is part of DDE (Deepin Desktop Environment).

## dtkgui 5.7.11

=== debian/changelog ===
dtkgui (5.7.11-2) unstable; urgency=medium

  * debian/control: Add explicit build-dep on libdtklog-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Mar 2025 07:56:03 -0500

dtkgui (5.7.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 13:35:12 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
  cmake,
  doxygen <!nodoc>,
  extra-cmake-modules,
- libdtkcore-dev (>= 5.7.8),
+ libdtkcore-dev (>= 5.7.11),
+ libdtklog-dev,
  libfreeimage-dev,
  libgmock-dev,
  libgtest-dev,
@@ -31,7 +32,7 @@
  qtwayland5-private-dev,
  treeland-protocols,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/linuxdeepin/dtkgui
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkgui.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkgui

## dtkgui 5.7.12

=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -12,12 +12,23 @@
 set (DOXYGEN_EXTRACT_STATIC YES)
 set (DOXYGEN_OUTPUT_LANGUAGE "Chinese" CACHE STRING "Doxygen Output Language")
 set (DOXYGEN_IMAGE_PATH ${CMAKE_CURRENT_LIST_DIR}/images/)
-set (DOXYGEN_QHG_LOCATION "qhelpgenerator" CACHE STRING "Doxygen QHG path")
 set (DOXYGEN_QHP_NAMESPACE "org.deepin.dtk.gui")
 set (DOXYGEN_QCH_FILE "dtkgui.qch")
 set (DOXYGEN_QHP_VIRTUAL_FOLDER "dtkgui")
 set (DOXYGEN_HTML_EXTRA_STYLESHEET "" CACHE STRING "Doxygen custom stylesheet for HTML output")
 set (DOXYGEN_TAGFILES "qtcore.tags=qthelp://org.qt-project.qtcore/qtcore/" CACHE STRING "Doxygen tag files")
+
+# find from cmake target property
+if("${QT_VERSION_MAJOR}" STREQUAL "5")
+    find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Help)
+else()
+    find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS ToolsTools)
+endif()
+get_target_property(_qhelpgenerator_location Qt${QT_VERSION_MAJOR}::qhelpgenerator IMPORTED_LOCATION)
+if("${_qhelpgenerator_location}" STREQUAL "")
+    set(_qhelpgenerator_location "qhelpgenerator")
+endif()
+set (DOXYGEN_QHG_LOCATION ${_qhelpgenerator_location} CACHE STRING "Doxygen QHG path")
 
 set (DOXYGEN_PREDEFINED
     "D_DECL_DEPRECATED_X(x)="

=== tools/CMakeLists.txt ===
add_subdirectory(deepin-gui-settings)
add_subdirectory(dci-image-converter)
add_subdirectory(dci-icon-theme)
add_subdirectory(dde-kwin-debug)
add_subdirectory(image-handler)

=== tools/dci-image-converter/CMakeLists.txt ===
set(BIN_NAME dci-image-converter)
set(TARGET_NAME ${BIN_NAME}${DTK_VERSION_MAJOR})

add_executable(${TARGET_NAME}
    main.cpp
)

target_link_libraries(${TARGET_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Gui
)
set_target_properties(${TARGET_NAME} PROPERTIES OUTPUT_NAME ${BIN_NAME})

=== src/plugins/platform/config.tests/treeland_test/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

project(wayland_test)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(AUTOMOC_COMPILER_PREDEFINES ON)

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui WaylandClient)
if(${QT_VERSION_MAJOR} STREQUAL "5")
    find_package(Qt5 REQUIRED COMPONENTS XkbCommonSupport)
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(WAYLAND_CLIENT REQUIRED wayland-client)

find_package(TreelandProtocols)
set(TreelandProtocols_FOUND ${TreelandProtocols_FOUND})

add_executable(${PROJECT_NAME} main.cpp)

if("${QT_VERSION_MAJOR}" STREQUAL "6")
    qt6_generate_wayland_protocol_client_sources(${PROJECT_NAME} FILES
        ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-personalization-manager-v1.xml
    )
else()
    # ECM setup
    include(FeatureSummary)
    find_package(ECM REQUIRED NO_MODULE)
    set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${ECM_MODULE_PATH}")
    find_package(QtWaylandScanner)
    ecm_add_qtwayland_client_protocol(TABLET_SRCS
        PROTOCOL ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-personalization-manager-v1.xml
        BASENAME treeland-personalization-manager-v1
    )
    target_sources(${PROJECT_NAME} PRIVATE ${TABLET_SRCS})

    target_link_libraries(${PROJECT_NAME} PRIVATE
        Qt${QT_VERSION_MAJOR}::XkbCommonSupportPrivate
    )
endif()

target_link_libraries(${PROJECT_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::CorePrivate
    Qt${QT_VERSION_MAJOR}::WaylandClientPrivate
    ${WAYLAND_CLIENT_LIBRARIES}
)

=== debian/changelog ===
dtkgui (5.7.12-1build1) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 14 Jul 2025 14:25:55 +0300

dtkgui (5.7.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Mar 2025 15:46:06 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  cmake,
  doxygen <!nodoc>,
  extra-cmake-modules,
- libdtkcore-dev (>= 5.7.11),
+ libdtkcore-dev (>= 5.7.12),
  libdtklog-dev,
  libfreeimage-dev,
  libgmock-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT := 5

# Explicitly enable hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

# Retrieve version info
include /usr/share/dpkg/default.mk


%:
	dh $@

# FIXME: Enable doc building
override_dh_auto_configure:
	dh_auto_configure -- \
	        -DBUILD_TESTING=OFF \
	        -DBUILD_DOCS=OFF \
	        -DDTK_DISABLE_LIBXDG=OFF \
	        -DDTK_VERSION=$(DEB_VERSION_UPSTREAM) \
	        $(NULL)

## dtkgui 5.7.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.25)
 
 set(DTK_VERSION "5.6.11" CACHE STRING "define project version")
 project(DtkGui

=== tests/platform-plugin-test/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui)
if("${QT_VERSION_MAJOR}" STRLESS "6")
    find_package(Qt${QT_VERSION_MAJOR} REQUIRED EventDispatcherSupport ServiceSupport)
endif()

find_package(Dtk${DTK_VERSION_MAJOR}Core REQUIRED)

file(GLOB plugin_SRC
    minimal.json
    *.h
    *.cpp
)

add_library(${test-plugin} SHARED ${plugin_SRC})

target_link_libraries(${test-plugin} PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::CorePrivate
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Dtk${DTK_VERSION_MAJOR}::Core)

if("${QT_VERSION_MAJOR}" STRLESS "6")
    target_link_libraries(${test-plugin} PRIVATE
       Qt${QT_VERSION_MAJOR}::EventDispatcherSupportPrivate
       Qt${QT_VERSION_MAJOR}::ServiceSupportPrivate)
endif()


target_include_directories(${test-plugin} PUBLIC
    ${PROJECT_SOURCE_DIR}/include/global
    ${PROJECT_SOURCE_DIR}/include/kernel
    ${PROJECT_SOURCE_DIR}/include/filedrag
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/../plugins/platforms)

=== tools/dci-icon-theme/CMakeLists.txt ===
set(BIN_NAME dci-icon-theme)
set(TARGET_NAME ${BIN_NAME}${DTK_VERSION_MAJOR})

add_executable(${TARGET_NAME}
    main.cpp
)

target_link_libraries(${TARGET_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Gui
    ${LIB_NAME}
)
set_target_properties(${TARGET_NAME} PROPERTIES OUTPUT_NAME ${BIN_NAME})

install(TARGETS ${TARGET_NAME} DESTINATION "${TOOL_INSTALL_DIR}")

=== debian/changelog ===
dtkgui (5.7.14) unstable; urgency=medium

  * build: compiling failed with Qt 6.9

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:51:32 +0800

dtkgui (5.7.13) unstable; urgency=medium

  * Release 5.7.13

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:05:55 +0800

dtkgui (5.7.12) unstable; urgency=medium

  * fix: palette refresh delayed in qt6
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:29:35 +0800

dtkgui (5.7.11) unstable; urgency=medium

  * Release 5.7.11

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:47:39 +0800

dtkgui (5.7.10) unstable; urgency=medium

  * fix: icon is blurry

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:18:19 +0800

dtkgui (5.7.9) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 09:07:08 +0000

dtkgui (5.7.8) unstable; urgency=medium

  * fix: missing window decoration for treeland
  * chore: update default window corner size

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 14 Jan 2025 11:17:31 +0000

dtkgui (5.7.7) unstable; urgency=medium

  * fix: accessing wild pointer in qt6
  * chore: correct typos about Dtk::Gui::DDciIcon::IconAttribute
    Thanks to Felix Yan

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 09:28:38 +0000

dtkgui (5.7.6) unstable; urgency=medium

  * refact: refacting DPlatformHandle to adap treeland
  * Revert "refact: refacting DPlatformHandle to adap treeland"
  * refact: refacting DPlatformHandle to adapt treeland
  * fix: iterator out of bounds for dciicon
  * fix: set font family invalid

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 02 Jan 2025 05:43:53 +0000

## dtkgui 5.7.16

=== debian/changelog ===
dtkgui (5.7.16) unstable; urgency=medium

  * Release 5.7.16

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:21:59 +0800

dtkgui (5.7.15) unstable; urgency=medium

  * fix: correct bitwise operation in preference handling
  * fix: prevent theme saving when DontSaveApplicationTheme is set
  * refactor: improve thread safety in OrgDeepinDTKPreference
  * fix: build failed in qt5
  * feat: use dconfig2cpp for read/write the DConfig
  * fix: fix build on Qt 6.8

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:53:09 +0800

## dtkgui 5.7.18

=== tools/dde-kwin-debug/CMakeLists.txt ===
set(BIN_NAME dde-kwin-bug)
set(TARGET_NAME ${BIN_NAME}${DTK_VERSION_MAJOR})

pkg_check_modules(X11 IMPORTED_TARGET REQUIRED x11)

add_executable(${TARGET_NAME}
    main.cpp
)
target_link_libraries(${TARGET_NAME} PRIVATE
    PkgConfig::X11
    pthread
)
set_target_properties(${TARGET_NAME} PROPERTIES OUTPUT_NAME ${BIN_NAME})

install(TARGETS ${TARGET_NAME} DESTINATION "${TOOL_INSTALL_DIR}")

=== debian/changelog ===
dtkgui (5.7.18) unstable; urgency=medium

  * Release 5.7.18

 --  yeshanshan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 17:09:35 +0800

dtkgui (5.7.17) unstable; urgency=medium

  * Release 5.7.17

 -- yeshanshan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:03:48 +0800

## dtkgui 5.7.19

=== debian/changelog ===
dtkgui (5.7.19) unstable; urgency=medium

  * Release 5.7.19

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:12:27 +0800

## dtkgui 5.7.23

=== debian/changelog ===
dtkgui (5.7.23) unstable; urgency=medium

  * Release 5.7.23

 --  yeshanshan <packages@deepin.org>  Thu, 25 Sep 2025 16:49:18 +0800

dtkgui (5.7.22) unstable; urgency=medium

  * Release 5.7.22

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 04 Sep 2025 19:27:38 +0800

dtkgui (5.7.21) unstable; urgency=medium

  * Release 5.7.21

 --  yeshanshan <packages@deepin.org>  Thu, 14 Aug 2025 19:47:40 +0800

dtkgui (5.7.20) unstable; urgency=medium

  * Release 5.7.20

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 19:59:35 +0800

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export QT_SELECT = qt5

# 安全编译参数
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CXXFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

VERSION = $(DEB_VERSION_UPSTREAM)
_PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')
_BUILD_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g' | awk '{print int($$1)}')
ifeq ($(_BUILD_VER),)
	CONFIG_VERSION = $(_PACK_VER)
else
	CONFIG_VERSION = $(_PACK_VER).$(_BUILD_VER)
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF -DBUILD_DOCS=ON -DDTK_VERSION=$(_PACK_VER)
#override_dh_auto_test:
#	echo "skip auto test"

override_dh_makeshlibs:
	dh_makeshlibs  -V "libdtkgui5 (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"

## dtkgui 5.7.24.1

=== tests/CMakeLists.txt ===
set(BIN_NAME ut-DtkGui)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets DBus Network Test)
if ("${QT_VERSION_MAJOR}" STREQUAL "6")
    if (${Qt6Core_VERSION} VERSION_GREATER_EQUAL "6.10.0")
        set(QT_NO_PRIVATE_MODULE_WARNING ON)
        find_package(Qt6 REQUIRED COMPONENTS CorePrivate GuiPrivate WaylandClientPrivate)
    endif()
endif()

find_package(GTest REQUIRED)

file(GLOB test_SRC
    res.qrc
    test.h
    main.cpp
    src/*.cpp
)
if(DTK_DISABLE_LIBXDG)
    list(REMOVE_ITEM test_SRC "${CMAKE_CURRENT_LIST_DIR}/src/ut_xdgiconproxyengine.cpp")
endif()

set(test-plugin "minimal-plugin")
add_subdirectory(platform-plugin-test)

include(../src/util/util.cmake)

add_executable(${BIN_NAME}
    ${test_SRC}
    ${UTIL_PRIVATE}
)

add_dependencies(${BIN_NAME} ${test-plugin})

target_compile_options(${BIN_NAME} PRIVATE -fno-access-control -fsanitize=address)
target_link_options(${BIN_NAME} PRIVATE -fsanitize=address)

target_link_libraries(${BIN_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Network
    Qt${QT_VERSION_MAJOR}::Test
    Dtk${DTK_VERSION_MAJOR}::Core
    PkgConfig::librsvg
    GTest::GTest
    ${LIB_NAME}
    gmock
    pthread
    m
)

if(NOT DTK_DISABLE_EX_IMAGE_FORMAT AND EX_IMAGE_FORMAT_LIBS_FOUND)
target_link_libraries(${BIN_NAME} PRIVATE
    PkgConfig::libraw
    FreeImage::FreeImage
)
endif()

if(NOT DTK_DISABLE_LIBXDG)
    target_link_libraries(${BIN_NAME} PRIVATE
        Qt${QT_VERSION_MAJOR}XdgIconLoader
    )
endif()

target_include_directories(${BIN_NAME} PRIVATE
    ${PROJECT_SOURCE_DIR}/include/util
    ${PROJECT_SOURCE_DIR}/include/DtkGui
    ${PROJECT_SOURCE_DIR}/include/global
    ${PROJECT_SOURCE_DIR}/include/kernel
    ${PROJECT_SOURCE_DIR}/include/filedrag
    ${PROJECT_SOURCE_DIR}/src/private
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_SOURCE_DIR}/src/dbus
    ${PROJECT_SOURCE_DIR}/src/util/private
)

add_test(NAME ${BIN_NAME} COMMAND ${BIN_NAME})

=== tools/dci-icon-theme/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 set(BIN_NAME dci-icon-theme)
 set(TARGET_NAME ${BIN_NAME}${DTK_VERSION_MAJOR})
+
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Concurrent REQUIRED)
 
 add_executable(${TARGET_NAME}
     main.cpp
@@ -7,6 +9,7 @@
 
 target_link_libraries(${TARGET_NAME} PRIVATE
     Qt${QT_VERSION_MAJOR}::Gui
+    Qt${QT_VERSION_MAJOR}::Concurrent
     ${LIB_NAME}
 )
 set_target_properties(${TARGET_NAME} PROPERTIES OUTPUT_NAME ${BIN_NAME})

=== tools/dci-iconfinder/CMakeLists.txt ===
set(BIN_NAME dci-iconfinder)
set(TARGET_NAME ${BIN_NAME}${DTK_VERSION_MAJOR})

add_executable(${TARGET_NAME}
    main.cpp
)

target_link_libraries(${TARGET_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Gui
    ${LIB_NAME}
)
set_target_properties(${TARGET_NAME} PROPERTIES OUTPUT_NAME ${BIN_NAME})

install(TARGETS ${TARGET_NAME} DESTINATION "${TOOL_INSTALL_DIR}")

=== debian/changelog ===
dtkgui (5.7.24.1) unstable; urgency=medium

  * Release 5.7.24

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:45:30 +0800

## dtkgui 5.7.26

=== debian/changelog ===
dtkgui (5.7.26) unstable; urgency=medium

  * Release 5.7.26

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 06 Nov 2025 17:03:53 +0800

dtkgui (5.7.25) unstable; urgency=medium

  * Release 5.7.25

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:47:33 +0800

dtkgui (5.7.24) unstable; urgency=medium

  * Release 5.7.24

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:45:30 +0800
